%global dlrn_nvr tripleo-puppet-elements-14.1.3.dev31-1.20230221224239.23b0079
%global dlrn 1
%define upstream_version 14.1.3.dev31
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x4c29ff0e437f3351fd82bdf47c5a3bc787dc7035

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-puppet-elements
Summary:	OpenStack TripleO Puppet Elements for diskimage-builder
Version: 14.1.3
Release: 1.20230221224240%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-puppet-elements-14.1.3.dev31-1.20230221224239.23b0079.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=23b00791d6198180fe8ee96df2b518fbcaa14f91
Patch0001: 0001-Add-tc-command-to-overcloud-images.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/tripleo-puppet-elements/tripleo-puppet-elements-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:	noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr

%description
OpenStack TripleO Puppet Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images configured with
Puppet for the TripleO program.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n tripleo-puppet-elements-%{upstream_version}

%patch0001 -p1

%build
%{py3_build}

%install
%{py3_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%doc LICENSE
%doc README.rst
%{python3_sitelib}/tripleo_puppet_elements*
%{_datadir}/tripleo-puppet-elements

%changelog
* Wed Aug 30 2023 Miguel Garcia <migarcia@redhat.com> 14.1.3-1.20230221224240
- Add tc command to overcloud images (rhbz#2216062)

* Tue Feb 21 2023 OSP Prod Chain <dev-null@redhat.com> 14.1.3-1.20230221224239.23b0079
- Update patches
- Remove ansible-pacemaker from overcloud image

* Thu Dec 08 2022 OSP Prod Chain <dev-null@redhat.com> 14.1.3-1.20221208235054.545ff96
- Update patches
- Move tuned_profiles_cpu_partitioning dependency in overcloud-base

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 14.1.3-1.20220727191759.082a9aa
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 14.1.3-1.20220718111614.082a9aa
- Update patches
- Add sbd and fence-agents-sbd to the list of fence agents
- Remove puppetlabs-ntp
- Remove zaqar
- Remove mistral
- Remove leftover of Sahara support
- Remove unused puppet-datacat
- Remove unused puppet-keepalived
- Remove modules to deploy Contrail components
- Wallaby-only: Remove unused puppet modules
- Remove support for Midonet plugin

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20220513232258.822a50f
- Update patches
- Add fence-agents-compute to the list of installed rpms

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20220513221829.1d32a9b
- Add fence-agents-compute to the list of installed rpms

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20220512233138.1d32a9b
- Update patches
- Migrate from testr to stestr, disable auto discovery

* Wed Feb 23 2022 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20220223222236.4646298
- Update patches
- Revert "Add remove-machine-id element"

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20220122231957.9b95c5e
- Update patches
- Update overcloud-base element pkg-map
- Update overcloud-agent element pkg-map

* Sat Jan 08 2022 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20220109001843.bf8e30c
- Update patches
- Add config for CentOS 9 in yum_plugin_priorities

* Thu Dec 23 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20211224002806.1f1605c
- Update patches
- Only install required/supported fence agents

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20211216164228.a243865
- Update patches
- Add octavia client to the installed packages for the overcloud-image

* Mon Jul 19 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210719221809.ffb4b4c
- Update patches

* Mon Jul 05 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210705221812.ffb4b4c
- Update patches
- Remove leftover of pankoclient

* Sat Jul 03 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210703221807.665911b
- Update patches
- Remove pankoclient

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210528124301.c53c2bd
- Update patches

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210520071811.c53c2bd
- Update patches

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210518231821.c53c2bd
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.0-0.20210513001945.5c4be3e
- Update patches

* Sun Feb 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Check that etc/resolv.conf.ORIG exists before edit

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add doc/requirements

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include cephadm in the overcloud image

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove puppet-panko

* Sat Nov 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- overcloud-compute:  add linuxptp package for timemaster service

* Tue Sep 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove puppet-congress

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Install fence-virt only on x86_64

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove puppet-tacker

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove puppet-vitrage
- Remove puppet-trove
- Drop podman-docker from CentOS/RHEL8
- Add sysstat package to collect sar data by default

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove overcloud-opstools element

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "add buildah to overcloud-base"

* Fri Jul 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- add buildah to overcloud-base

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove centos7 RT repo from centos8 builds

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix hacking min version to 3.0.1

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri May 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup py27 support

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- overcloud-compute: add ndctl package to manage NVDIMMs

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Python3

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop docker packages from overcloud-base

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable yum-plugin-priorities elements for CentOS8

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update tox tests for py3

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove libvirt package"
- Remove libvirt package

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- RHEL8: Use podman-docker

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tox: Keeping going with docs"
- tox: Keeping going with docs

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use chkconfig

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to Ussuri jobs

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix permissions on 51-enable-network-service

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


